"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.BPMNDiagramConfiguration = void 0;
/********************************************************************************
 * Copyright (c) 2020-2022 EclipseSource and others.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * This Source Code may also be made available under the following Secondary
 * Licenses when the conditions for such availability set forth in the Eclipse
 * Public License v. 2.0 are satisfied: GNU General Public License, version 2
 * with the GNU Classpath Exception which is available at
 * https://www.gnu.org/software/classpath/license.html.
 *
 * SPDX-License-Identifier: EPL-2.0 OR GPL-2.0 WITH Classpath-exception-2.0
 ********************************************************************************/
const open_bpmn_glsp_1 = require("@open-bpmn/open-bpmn-glsp");
const browser_1 = require("@eclipse-glsp/theia-integration/lib/browser");
const inversify_1 = require("inversify");
require("sprotty-theia/css/theia-sprotty.css");
const bpmn_language_1 = require("../../common/bpmn-language");
let BPMNDiagramConfiguration = class BPMNDiagramConfiguration extends browser_1.GLSPDiagramConfiguration {
    constructor() {
        super(...arguments);
        this.diagramType = bpmn_language_1.BPMNLanguage.diagramType;
    }
    doCreateContainer(widgetId) {
        const container = (0, open_bpmn_glsp_1.createBPMNDiagramContainer)(widgetId);
        (0, browser_1.configureDiagramServer)(container, browser_1.GLSPTheiaDiagramServer);
        container.bind(browser_1.TheiaDiagramServer).toService(browser_1.GLSPTheiaDiagramServer);
        return container;
    }
};
BPMNDiagramConfiguration = __decorate([
    (0, inversify_1.injectable)()
], BPMNDiagramConfiguration);
exports.BPMNDiagramConfiguration = BPMNDiagramConfiguration;
//# sourceMappingURL=bpmn-diagram-configuration.js.map