"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BPMNTheiaFrontendModule = void 0;
/********************************************************************************
 * Copyright (c) 2020-2022 EclipseSource and others.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * This Source Code may also be made available under the following Secondary
 * Licenses when the conditions for such availability set forth in the Eclipse
 * Public License v. 2.0 are satisfied: GNU General Public License, version 2
 * with the GNU Classpath Exception which is available at
 * https://www.gnu.org/software/classpath/license.html.
 *
 * SPDX-License-Identifier: EPL-2.0 OR GPL-2.0 WITH Classpath-exception-2.0
 ********************************************************************************/
const browser_1 = require("@eclipse-glsp/theia-integration/lib/browser");
const sprotty_theia_1 = require("sprotty-theia");
const bpmn_language_1 = require("../common/bpmn-language");
const bpmn_diagram_configuration_1 = require("./diagram/bpmn-diagram-configuration");
class BPMNTheiaFrontendModule extends browser_1.GLSPTheiaFrontendModule {
    constructor() {
        super(...arguments);
        this.enableCopyPaste = true;
        this.diagramLanguage = bpmn_language_1.BPMNLanguage;
    }
    bindDiagramConfiguration(context) {
        context.bind(sprotty_theia_1.DiagramConfiguration).to(bpmn_diagram_configuration_1.BPMNDiagramConfiguration);
    }
}
exports.BPMNTheiaFrontendModule = BPMNTheiaFrontendModule;
exports.default = new BPMNTheiaFrontendModule();
//# sourceMappingURL=frontend-module.js.map